opensuse – Eclipse不可执行

我刚刚下载了适用于LinuxAndroid SDK.我正在运行OpenSuse 12.3.当我尝试运行Eclipse时,会出现一个错误,指出没有程序可以运行可执行文件.因此,我使用以下方法使Eclipse程序可执行.

>右键单击该程序并打开“属性”选项以选中“允许将文件作为程序执行”复选框.但是一旦我选中该框,它就会被取消选中,我无法运行Eclipse.
>我尝试使用chmod x命令,但没有任何变化.

这里要求的是文件eclipse和ldd eclipse命令的输出.

gursheel@linux-vfsr$file eclipse
eclipse: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.2.5, not stripped
gursheel@linux-vfsr$./eclipse
bash: ./eclipse: Permission denied
gursheel@linux-vfsr$ldd eclipse
ldd: warning: you do not have execution permission for `./eclipse'
/usr/bin/ldd: line 124: ./eclipse: Permission denied
gursheel@linux-vfsr$chmod +x eclipse
gursheel@linux-vfsr$ldd eclipse
ldd: warning: you do not have execution permission for `./eclipse'
/usr/bin/ldd: line 124: ./eclipse: Permission denied

这是/ etc / fsatb中的条目

/dev/disk/by-id/ata-HITACHI_HTS725032A9A364_100712PCK304VKKKRWMJ-part7 swap                 swap       defaults              0 0
/dev/disk/by-id/ata-HITACHI_HTS725032A9A364_100712PCK304VKKKRWMJ-part8 /                    ext4       acl,user_xattr        1 1
/dev/disk/by-id/ata-HITACHI_HTS725032A9A364_100712PCK304VKKKRWMJ-part9 /home                ext4       acl,user_xattr        1 2
proc                 /proc                proc       defaults              0 0
sysfs                /sys                 sysfs      noauto                0 0
debugfs              /sys/kernel/debug    debugfs    noauto                0 0
usbfs                /proc/bus/usb        usbfs      noauto                0 0
devpts               /dev/pts             devpts     mode=0620,gid=5       0 0

和/ proc / mounts
Statics是包含eclipse的adt文件夹的驱动器的名称.

/dev/sda3 /run/media/gursheel/Statics fuseblk rw,nosuid,nodev,relatime,user_id=0,group_id=0,default_permissions,allow_other,blksize=4096 0 0
/dev/sda3 /var/run/media/gursheel/Statics fuseblk rw,nosuid,nodev,relatime,user_id=0,group_id=0,default_permissions,allow_other,blksize=4096 0 0

如何使Eclipse可执行?

最佳答案
正如您已经在@sendmoreinfo的评论中找到了答案,我将扩展他的答案,并为您提供一个可能的选择

您的问题是eclipse在NTFS驱动器上运行,NTFS无法理解可执行位,因此默认情况下NTFS-3g将您的分区安装为无exec.

在这一点上,我可以给你一个你现在拥有的相同问题的答案列表,这是我如何安装NTFS驱动器,以便我可以执行程序以下链接是这个问题的解决方案

> https://askubuntu.com/questions/30243/why-does-ubuntu-refuse-to-execute-files-from-an-ntfs-partition
> https://askubuntu.com/questions/18052/exe-file-permission-fail/18053#18053
> https://askubuntu.com/questions/11840/how-do-i-use-chmod-on-an-ntfs-or-fat32-partition/11843#11843

从第三个答案我们可以推断出您可以使用以下选项重新安装驱动器(根据您的情况进行调整)

sudo mount -t ntfs -o rw,auto,user,fmask=0022,dmask=0000 /dev/sda3 /run/media/gursheel/Statics

转载注明原文:opensuse – Eclipse不可执行 - 代码日志